 SUBROUTINE compute_vpt

!-------------------------------------------------------------------------------!
! Actual revisions:
! -----------------
! 
!
! Former revisions:
! -----------------
! $Log: compute_vpt.f90,v $
! Revision 1.5  2001/03/30 06:58:52  raasch
! Translation of remaining German identifiers (variables, subroutines, etc.)
!
! Revision 1.4  2001/01/22 05:42:55  raasch
! Minor corrections within file header
!
! Revision 1.2  2000/09/07 09:00:36  schroeter
! Now, vpt will be computed for k=nzb and nzt+1
! additionally to keep boundary values
!
! Revision 1.1  2000/04/13 14:40:53  schroeter
! Initial revision
!
!
! Description:
! -------------
! Computation of the virtual potential temperature 
!-------------------------------------------------------------------------------!

    USE arrays_3d
    USE indices
    USE cloud_parameters
    USE control_parameters

    IMPLICIT NONE

    INTEGER :: k

    IF ( .NOT. cloud_physics ) THEN
       vpt = pt * ( 1.0 + 0.61 * q )
    ELSE
       DO  k = nzb, nzt+1
          vpt(k,:,:) = ( pt(k,:,:) + pt_d_t(k) * l_d_cp * ql(k,:,:) ) * &
                       ( 1.0 + 0.61 * q(k,:,:) - 1.61 * ql(k,:,:) ) 
       ENDDO
    ENDIF

 END SUBROUTINE compute_vpt
